API REFERENCE
Monitor Overview API
GET
/v1/monitor/overviewFree·api.etshop.ai/open-apiCredits usage rules
Billing: shop/product lists and top sellers cost 1 Credit per returned record; shop details cost 2 Credits per call. Details, trends, daily data and reviews are free (the record must have been returned by a list or details call within 3 days). Keyword search costs 1 Keyword Credit per keyword, and the same keyword is free for 30 days. Shop monitoring costs 1 Monitor Credit per shop for 30 days and is not refunded when stopped. Empty results are free and server errors are refunded automatically.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request GET 'https://api.etshop.ai/open-api/v1/monitor/overview?start_time=1794268800&end_time=1794355199&group_id=3f9c2a7e5b1d4c8e9a6f0b2d7e4c1a95' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| start_time
query · required
| integer | Start time (Unix timestamp, seconds) |
| end_time
query · required
| integer | End time (Unix timestamp, seconds) |
| group_id
query · optional
| string | Group ID (32-character string). See Group List. Omit it to count all monitors. 400 is returned if the group does not exist. |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"sold_count": 163,
"product_count": 3,
"total_rating_count": 22,
"favorites_count": 280,
"sold_count_all": 1837,
"product_count_all": 25,
"total_rating_count_all": 233,
"favorites_count_all": 3175
},
"credits": {
"type": "monitor_credits",
"remaining_credits": 98,
"consumed_credits": 0,
"total_credits": 100
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Description |
|---|---|---|---|---|
| » code | integer | true | none | Status Code |
| » message | string | true | none | Response message |
| » data | object | true | none | Response data |
| »» sold_count | integer | true | none | Total sales growth within the time range |
| »» product_count | integer | true | none | Total listing count growth within the time range |
| »» total_rating_count | integer | true | none | Total review growth within the time range |
| »» favorites_count | integer | true | none | Total favorite growth within the time range |
| »» sold_count_all | integer | true | none | Total sales growth since monitoring started |
| »» product_count_all | integer | true | none | Total listing count growth since monitoring started |
| »» total_rating_count_all | integer | true | none | Total review growth since monitoring started |
| »» favorites_count_all | integer | true | none | Total favorite growth since monitoring started |
| » credits | object | true | none | Credits information of this request. See Billing Rules. |
| »» type | string | true | none | Credits type. monitor_credits for this endpoint. |
| »» remaining_credits | integer | true | none | Remaining Monitor Credits after this request |
| »» consumed_credits | integer | true | none | Monitor Credits consumed by this request (0 for this endpoint) |
| »» total_credits | integer | true | none | Total Monitor Credits |
